<main-header [navigationRef]="sidenav"></main-header>

<mat-sidenav-container class="layout">
    <mat-sidenav #sidenav class="layout-sidebar mat-elevation-z3" [mode]="mode" [opened]="showSidebar"
        [autoFocus]="true">
        <sidebar (afterRouteChange)="onRouteChange($event)"></sidebar>
    </mat-sidenav>
    <mat-sidenav-content class="layout-content">
        <router-outlet></router-outlet>
    </mat-sidenav-content>
</mat-sidenav-container>